Package org.opensaml.spring.config

# Class SpringConfigurationPropertiesSource

java.lang.Object
org.opensaml.spring.config.SpringConfigurationPropertiesSource

All Implemented Interfaces:
  `ConfigurationPropertiesSource`

public class SpringConfigurationPropertiesSource extends Object implements ConfigurationPropertiesSource
An implementation of `ConfigurationPropertiesSource` that delegates to a supplied Spring `PropertyResolver`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final PropertyResolver`
`propertyResolver`
The supplied property resolver.

## Constructor Summary

Constructors
Constructor
Description
`SpringConfigurationPropertiesSource(PropertyResolver resolver)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConfigurationProperties`
`getProperties()`
Get the property set exposed by the source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyResolver

@Nonnull private final PropertyResolver propertyResolver
The supplied property resolver.

## Constructor Details

### SpringConfigurationPropertiesSource

public SpringConfigurationPropertiesSource(@Nonnull PropertyResolver resolver)
Constructor.

Parameters:
  `resolver` - the Spring property resolver

## Method Details

### getProperties

@Nullable public ConfigurationProperties getProperties()
Get the property set exposed by the source.

Specified by:
  `getProperties` in interface `ConfigurationPropertiesSource`
Returns:
  the properties set or null